Shipments
Update shipment detail
Updates a shipment to delivered, or marks it ready_to_collect. Collect-in-store shipments become ready_to_collect from processing (after approval) and can be delivered from ready_to_collect. Supply delivered_date and a shipping date when marking it delivered.
PUT
/
pos
/
shipping
/
shipments
/
{reference_number}
/
manual-update
Update shipment detail
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "ready_to_collect"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update"
payload = { "status": "ready_to_collect" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'ready_to_collect'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'ready_to_collect'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update"
payload := strings.NewReader("{\n \"status\": \"ready_to_collect\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"ready_to_collect\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"ready_to_collect\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"shipment": {
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"order_status": "draft",
"sales_channel": {
"id": "<string>",
"name": "<string>",
"type": "<string>"
},
"payment_status": "pending",
"customer_name": "<string>",
"billing_business_name": "<string>",
"shipment_detail": {
"order_number": "<string>",
"order_status": "draft",
"shipment_number": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"status": "unscheduled",
"total_weight": 123,
"total_boxes": 123,
"shipment_items_count": 123,
"shipping_estimated_cost": 123,
"shipping_discount_amount": 123,
"shipping_amount": 123,
"shipping_tax_rate": 123,
"shipping_tax_amount": 123,
"shipping_amount_including_tax": 123,
"shipping_provider_id": "<string>",
"shipping_provider_name": "<string>",
"courier_company_id": "<string>",
"courier_company_name": "<string>",
"courier_company_image_url": "<string>",
"awb_no": "<string>",
"shipping_label_url": "<string>",
"eta_delivery": "<string>",
"estimated_delivery_date": "<string>",
"promised_delivery_date": "<string>",
"out_for_delivery_date": "<string>",
"shipped_date": "<string>",
"delivered_date": "<string>",
"returned_date": "<string>",
"fulfillment_type": "delivery",
"slo": {
"expected_date": "2023-11-07T05:31:56Z",
"actual_date": "2023-11-07T05:31:56Z",
"difference": 123,
"slo_status": "on-time"
},
"cancellation_reason": "<string>",
"customer_id": "<string>",
"customer_name": "<string>",
"billing_business_name": "<string>",
"shipping_address_line1": "<string>",
"shipping_address_line2": "<string>",
"shipping_landmark": "<string>",
"shipping_pincode": "<string>",
"shipping_city": "<string>",
"shipping_state": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"order_date": "<string>",
"reference_number": "<string>",
"sub_total": 123,
"sub_total_including_tax": 123,
"grand_total": 123,
"coupon_discount_amount": 123,
"promotion_discount_amount": 123,
"loyalty_point_redeemed": 123,
"shipment_items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"seller_id": "<string>",
"marketplace_listing": [
{
"marketplace_id": "<string>"
}
],
"sales_channel": {
"id": "<string>",
"name": "<string>",
"type": "<string>"
},
"packing": [
{
"box_name": "<string>",
"box_length": 123,
"box_width": 123,
"box_height": 123,
"box_weight": 123,
"items_count": 123,
"box_count": 123,
"box_id": "<string>",
"max_weight": 123,
"used_space": 123
}
],
"progression": [
{
"status": "Created",
"is_current": true,
"is_completed": true,
"completion_date": "2023-11-07T05:31:56Z"
}
]
},
"allowed_actions": [
"create-shipment"
],
"customer_id": "<string>",
"sales_channel_type": "<string>",
"base_shipment": {
"reference_number": "<string>",
"status": "<string>",
"fulfillment_type": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"replacement_shipment": {
"reference_number": "<string>",
"status": "<string>",
"fulfillment_type": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"code": "method-not-allowed",
"success": false,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}Path Parameters
Was this page helpful?
⌘I
Update shipment detail
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "ready_to_collect"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update"
payload = { "status": "ready_to_collect" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'ready_to_collect'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'ready_to_collect'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update"
payload := strings.NewReader("{\n \"status\": \"ready_to_collect\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"ready_to_collect\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/shipping/shipments/{reference_number}/manual-update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"ready_to_collect\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"shipment": {
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"order_status": "draft",
"sales_channel": {
"id": "<string>",
"name": "<string>",
"type": "<string>"
},
"payment_status": "pending",
"customer_name": "<string>",
"billing_business_name": "<string>",
"shipment_detail": {
"order_number": "<string>",
"order_status": "draft",
"shipment_number": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"status": "unscheduled",
"total_weight": 123,
"total_boxes": 123,
"shipment_items_count": 123,
"shipping_estimated_cost": 123,
"shipping_discount_amount": 123,
"shipping_amount": 123,
"shipping_tax_rate": 123,
"shipping_tax_amount": 123,
"shipping_amount_including_tax": 123,
"shipping_provider_id": "<string>",
"shipping_provider_name": "<string>",
"courier_company_id": "<string>",
"courier_company_name": "<string>",
"courier_company_image_url": "<string>",
"awb_no": "<string>",
"shipping_label_url": "<string>",
"eta_delivery": "<string>",
"estimated_delivery_date": "<string>",
"promised_delivery_date": "<string>",
"out_for_delivery_date": "<string>",
"shipped_date": "<string>",
"delivered_date": "<string>",
"returned_date": "<string>",
"fulfillment_type": "delivery",
"slo": {
"expected_date": "2023-11-07T05:31:56Z",
"actual_date": "2023-11-07T05:31:56Z",
"difference": 123,
"slo_status": "on-time"
},
"cancellation_reason": "<string>",
"customer_id": "<string>",
"customer_name": "<string>",
"billing_business_name": "<string>",
"shipping_address_line1": "<string>",
"shipping_address_line2": "<string>",
"shipping_landmark": "<string>",
"shipping_pincode": "<string>",
"shipping_city": "<string>",
"shipping_state": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"order_date": "<string>",
"reference_number": "<string>",
"sub_total": 123,
"sub_total_including_tax": 123,
"grand_total": 123,
"coupon_discount_amount": 123,
"promotion_discount_amount": 123,
"loyalty_point_redeemed": 123,
"shipment_items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"seller_id": "<string>",
"marketplace_listing": [
{
"marketplace_id": "<string>"
}
],
"sales_channel": {
"id": "<string>",
"name": "<string>",
"type": "<string>"
},
"packing": [
{
"box_name": "<string>",
"box_length": 123,
"box_width": 123,
"box_height": 123,
"box_weight": 123,
"items_count": 123,
"box_count": 123,
"box_id": "<string>",
"max_weight": 123,
"used_space": 123
}
],
"progression": [
{
"status": "Created",
"is_current": true,
"is_completed": true,
"completion_date": "2023-11-07T05:31:56Z"
}
]
},
"allowed_actions": [
"create-shipment"
],
"customer_id": "<string>",
"sales_channel_type": "<string>",
"base_shipment": {
"reference_number": "<string>",
"status": "<string>",
"fulfillment_type": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"replacement_shipment": {
"reference_number": "<string>",
"status": "<string>",
"fulfillment_type": "<string>",
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"is_free_item": true,
"free_quantity": 123,
"selling_price": 123,
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"code": "method-not-allowed",
"success": false,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"success": true,
"details": "<string>"
}